; Running log of Int 2fh type TSR ID numbers used or known to be used.
; Leave odd ID numbers as spare in case used. ID range from 80h to 0FFh
; for user applications, DOS uses those below.


; User application numbers

ENVELOP_COM_ID       equ 98h
GRAPHICS_EXE_ID      equ 9Ah

; DOS ID numbers

PRINT_COM_ID         equ 64h



; Sample installed Int 2f handler for use with ID numbers. If detects ID
; check that nobody else responded first. If clear set bx=code seg and
; al=0FFh as response.
;
;int_2Fh_entry PROC near
;
;       ASSUME ds:NOTHING
;
;       cmp     ah,cs:InstallIDnumber
;       je      loc_8
;       jmp     cs:TSRoldVector6
;loc_8:
;       or      al,al             ; see if somebody answered already
;       jnz     int_2Fh_null
;       mov     ax,cs             ; else we answer
;       mov     bx,ax
;       mov     al,0FFh           ; answer flag = 0FFh
;int_2Fh_null:
;       iret
